Bug 43364 - LILO failed install after reporting error.
LILO failed install after reporting error.
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Brent Fox
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-06-03 19:50 EDT by henderrob
Modified: 2007-04-18 12:33 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-06-14 09:55:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description henderrob 2001-06-03 19:50:04 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows 98; AtHome0107)

Description of problem:
An error occurred in three attempts to install. It produced report 
called "Anacdump.txt"

How reproducible:
Always

Steps to Reproduce:
1. Each attempt to install had problems with Druid accepting Linux Ext 2 
partitions created with Partition Magic 4.0.
2. Each time I had to deleted the Linux Ext 2.0 partition and then add it 
again.  I created a 1300MB \boot linux native and a 64MB linux swap.
3. Each time the HD indicator on bottom half of Druid read 100% in red.
4. Would go through LILO putting it on the MBR.
5. I would select programs it offered.
6. The installation in each attempt had shown everything installed and 
just before I thought installation was complete, the error happened.
	

Actual Results:  Here is a copy of "Anacdump.txt":
Traceback (innermost last):
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/iw/progress_gui.py", 
line 20, in run
    rc = self.todo.doInstall ()
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/todo.py", line 1631, in 
doInstall
    self.fstab.write (self.instPath)
  File "fstab.py", line 742, in write
    iutil.mkdirChain(prefix + mntpoint)
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/iutil.py", line 193, in 
mkdirChain
    os.mkdir(path, 0755)
OSError: [Errno 5] Input/output error: '/mnt/sysimage/mnt/cdrom1'

Local variables in innermost frame:
which: 5
dir: /mnt/sysimage/mnt/cdrom1
elements: ['', 'mnt', 'sysimage', 'mnt', 'cdrom1']
path: /mnt/sysimage/mnt/cdrom1

ToDo object:
(itodo
ToDo
p1
(dp2
S'method'
p3
(iimage
CdromInstallMethod
p4
(dp5
S'currentDisc'
p6
I1
sS'tree'
p7
S'/mnt/source'
sS'device'
p8
S'hdb'
sS'progressWindow'
p9

<failed>
Thx, RH

Expected Results:  Complete installation with LILO as boot manager with 
Linux and Win98 on harddrive.

Additional info:

Anacdump.txt:
Traceback (innermost last):
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/iw/progress_gui.py", 
line 20, in run
    rc = self.todo.doInstall ()
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/todo.py", line 1631, in 
doInstall
    self.fstab.write (self.instPath)
  File "fstab.py", line 742, in write
    iutil.mkdirChain(prefix + mntpoint)
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/iutil.py", line 193, in 
mkdirChain
    os.mkdir(path, 0755)
OSError: [Errno 5] Input/output error: '/mnt/sysimage/mnt/cdrom1'

Local variables in innermost frame:
which: 5
dir: /mnt/sysimage/mnt/cdrom1
elements: ['', 'mnt', 'sysimage', 'mnt', 'cdrom1']
path: /mnt/sysimage/mnt/cdrom1

ToDo object:
(itodo
ToDo
p1
(dp2
S'method'
p3
(iimage
CdromInstallMethod
p4
(dp5
S'currentDisc'
p6
I1
sS'tree'
p7
S'/mnt/source'
sS'device'
p8
S'hdb'
sS'progressWindow'
p9

<failed>
Comment 1 Brent Fox 2001-06-04 11:23:51 EDT
Did you create a "/" partition?  Also, creating a 1300MB /boot partition is
really wasting a lot of space.  You shouldn't need more than 50MB for a /boot
partition.

Comment 2 Brent Fox 2001-06-14 09:55:33 EDT
Closing due to inactivity. Please reopen if you have more information.
Comment 3 henderrob 2001-06-15 14:40:55 EDT
Sorry for not replying.  I did try your suggestion and things installed just 
fine.  I did install Gnome File Manager as root and need to find out how to 
change this. But am up on internet too.  Thx RobH

Note You need to log in before you can comment on or make changes to this bug.